Tag Parser: TagParser::Diagnostics Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::Diagnostics Class Reference

The Diagnostics class is a container for DiagMessage. More...

`#include <diagnostics.h>`

Inheritance diagram for TagParser::Diagnostics:
[legend]
Collaboration diagram for TagParser::Diagnostics:
[legend]

## Public Member Functions
| Diagnostics ()=default
| Diagnostics (std::initializer_list< DiagMessage > list)
| Constructs a new container with the specified messages.
bool | has (DiagLevel level) const
| Returns whether there's at least one DiagMessage which is at least as worse as level.
DiagLevel | level () const
| Returns the worst diag level present in the container.

## Detailed Description

The Diagnostics class is a container for DiagMessage.

Remarks
  A lot of methods in this library take such a container as argument. The method will add additional information, warnings or errors to it.

Definition at line 156 of file diagnostics.h.

## Constructor & Destructor Documentation

## ◆ Diagnostics() [1/2]

TagParser::Diagnostics::Diagnostics | ( |  | ) |
| default

## ◆ Diagnostics() [2/2]

TagParser::Diagnostics::Diagnostics | ( | std::initializer_list< DiagMessage > | list | ) |
| inline

Constructs a new container with the specified messages.

Definition at line 168 of file diagnostics.h.

## Member Function Documentation

## ◆ has()

bool TagParser::Diagnostics::has | ( | DiagLevel | level | ) | const

Returns whether there's at least one DiagMessage which is at least as worse as level.

Definition at line 42 of file diagnostics.cpp.

## ◆ level()

DiagLevel TagParser::Diagnostics::level | ( |  | ) | const

Returns the worst diag level present in the container.

Definition at line 55 of file diagnostics.cpp.

The documentation for this class was generated from the following files:

- diagnostics.h
- diagnostics.cpp